Sound Design Toolkit 075 Physically informed sound synthesis for everyday sounds

- Main Page
- Modules
- Data Structures
- Files

Typedefs | Functions
Rolling
SDTControl.h: Compound solid interactions

## Typedefs
typedef struct SDTRolling | SDTRolling
| Opaque data structure for the rolling object.

## Functions
SDTRolling * | SDTRolling_new ()
| Object constructor. More...
void | SDTRolling_free (SDTRolling *x)
| Object destructor. More...
void | SDTRolling_setGrain (SDTRolling *x, double f)
| Sets the grain of the surface. This parameter affects the density of the micro-impacts: Lower values result in a bumpier rolling, higher values result in a smoother rolling. More...
void | SDTRolling_setDepth (SDTRolling *x, double f)
| Sets the average bump depth. This parameter affects the energy of the micro-impacts. More...
void | SDTRolling_setMass (SDTRolling *x, double f)
| Sets the rolling mass. The mass parameter of the controlled object should be updated accordingly. More...
void | SDTRolling_setVelocity (SDTRolling *x, double f)
| Sets the rolling velocity. More...
double | SDTRolling_dsp (SDTRolling *x, double in)
| Signal processing routine. Call this function at sample rate to compute the force acting on the rolling object. More...

## Detailed Description

Control layer for the impact model, generating rolling sonic textures. The output is a force, which should be applied to an inertial mass hitting a resonator.

## Function Documentation

double SDTRolling_dsp | ( | SDTRolling * | x,
|  | double | in
| ) |  |

Signal processing routine. Call this function at sample rate to compute the force acting on the rolling object.

Parameters

  [in] | in | Surface profile, as an audio signal

Returns
  Normal force on the exciter

void SDTRolling_free | ( | SDTRolling * | x | ) |

Object destructor.

Parameters

  [in] | x | Pointer to the instance to destroy

SDTRolling* SDTRolling_new | ( |  | ) |

Object constructor.

Returns
  Pointer to the new instance

void SDTRolling_setDepth | ( | SDTRolling * | x,
|  | double | f
| ) |  |

Sets the average bump depth. This parameter affects the energy of the micro-impacts.

Parameters

  [in] | f | Average depth of the surface bumps

void SDTRolling_setGrain | ( | SDTRolling * | x,
|  | double | f
| ) |  |

Sets the grain of the surface. This parameter affects the density of the micro-impacts: Lower values result in a bumpier rolling, higher values result in a smoother rolling.

Parameters

  [in] | f | Surface grain [0, 1]

void SDTRolling_setMass | ( | SDTRolling * | x,
|  | double | f
| ) |  |

Sets the rolling mass. The mass parameter of the controlled object should be updated accordingly.

Parameters

  [in] | f | Mass of the rolling object, in Kg

void SDTRolling_setVelocity | ( | SDTRolling * | x,
|  | double | f
| ) |  |

Sets the rolling velocity.

Parameters

  [in] | f | Rolling velocity